#include <stdio.h>
#include <stdlib.h>
#include <math.h>
main()
{
    double x1, y1, x2, y2;
    scanf("%lf %lf", &x1, &y1);
    scanf("%lf %lf", &x2, &y2);

    if ( (pow(-10,9)>x1) || (x1>pow(10,9)) || (pow(-10,9)>y1) || (y1>pow(10,9)) || (pow(-10,9)>x2) || (x2>pow(10,9)) || (pow(-10,9)>y2) || (y2>pow(10,9)) )
    printf("Prekoraceno ogranicenje");
    else;

    if ((x1==x2)&&(y1==y2)) printf("Moraju postojati dve tacke sa razlicitim koordinatama.");
    else if (fabs(x1-x2)==fabs(y1-y2)) printf("1");
    else if ((x1==x2)||(y1==y2)) printf("2");
    else if (fabs(x1-x2)!=fabs(y1-y2)) printf("Stranice kvadrata ne mogu biti paralelne koordinatnim osama.");
    else;
}